<!--
  ~ iparapheur Web
  ~ Copyright (C) 2019-2025 Libriciel SCOP
  ~
  ~ This program is free software: you can redistribute it and/or modify
  ~ it under the terms of the GNU Affero General Public License as published by
  ~ the Free Software Foundation, either version 3 of the License, or
  ~ (at your option) any later version.
  ~
  ~ This program is distributed in the hope that it will be useful,
  ~ but WITHOUT ANY WARRANTY; without even the implied warranty of
  ~ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  ~ GNU Affero General Public License for more details.
  ~
  ~ You should have received a copy of the GNU Affero General Public License
  ~ along with this program. If not, see <http://www.gnu.org/licenses/>.
  -->

<div class="global-error-popup">

  <div class="modal-header py-2">
    <h4
      class="modal-title fw-bold"
      id="modal-basic-title">{{ messages.GLOBAL_ERROR_TITLE }}</h4>
    <button
      type="button"
      class="btn-close"
      [title]="commonMessages.CLOSE"
      (click)="onCloseButtonClicked()">
    </button>
  </div>

  <div class="modal-body py-1">
    <div class="p-3 error-display">
      <p class="fw-bold">{{ title }}</p>
      <p>{{ errorMessage }}</p>
    </div>
  </div>

  <div class="modal-footer py-2">
    <button
      type="button"
      class="btn btn-outline-primary"
      (click)="onCloseButtonClicked()">
      <fa-icon class="mx-2 fw-bold" [icon]="'times'"></fa-icon>
      {{ messages.CLOSE }}
    </button>
  </div>

</div>
